summaryrefslogtreecommitdiff
path: root/src/cli
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2022-01-21 21:43:11 +0100
committerChristian Grothoff <christian@grothoff.org>2022-01-21 21:43:11 +0100
commit9d764c3956c33171769b9560d427d2b749a22f78 (patch)
tree5a2d1ac7cda6904ed110e959d34a687c9880d69e /src/cli
parentff8f70962f43cfe01ab9444cae77b4301f3b171a (diff)
downloadanastasis-9d764c3956c33171769b9560d427d2b749a22f78.tar.gz
anastasis-9d764c3956c33171769b9560d427d2b749a22f78.tar.bz2
anastasis-9d764c3956c33171769b9560d427d2b749a22f78.zip
add sync providers logic to other affected test
Diffstat (limited to 'src/cli')
-rwxr-xr-xsrc/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh b/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
index be04f96..43c6a4e 100755
--- a/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
+++ b/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
@@ -436,6 +436,22 @@ then
fi
echo " OK"
+echo -n "Synchronizing providers"
+anastasis-reducer sync_providers < $R2FILE > $R1FILE
+anastasis-reducer sync_providers < $R1FILE > $R2FILE
+# This one will fail, as we should now have all 3 providers
+# used by the policy in sync!
+anastasis-reducer sync_providers < $R2FILE > $R1FILE 2> /dev/null || true
+# Note: continue with $R2FILE, the last one that was valid!
+
+CODE=`jq -r -e .code < $R1FILE`
+if test "$CODE" != "8400"
+then
+ exit_fail "Expected to be synced, instead the code is '$CODE'"
+fi
+echo " OK"
+
+
echo -n "Running challenge logic ..."
UUID0=`jq -r -e .recovery_information.challenges[0].uuid < $R2FILE`